Bug 166064 - [PATCH] security/openssl update to 1.0.0h
[PATCH] security/openssl update to 1.0.0h
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 22:20 UTC by dirk.meyer
Modified: 2012-03-15 06:33 UTC (History)
0 users

See Also:


Attachments
file.diff (2.97 KB, patch)
2012-03-13 22:20 UTC, dirk.meyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dirk.meyer 2012-03-13 22:20:01 UTC
	port has a vulnerability:
Security: http://www.openssl.org/news/secadv_20120312.txt
Security: CVE-2012-0884

Fix: Security update to 1.0.0h
Comment 1 Edwin Groothuis freebsd_committer 2012-03-13 22:20:11 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-03-13 22:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Dirk Meyer freebsd_committer 2012-03-14 04:46:19 UTC
Responsible Changed
From-To: dinoex->portmgr

We are in ports freeze, need approval from portmgr
Comment 4 Martin Wilke freebsd_committer 2012-03-14 09:13:15 UTC
Responsible Changed
From-To: portmgr->dinoex

Approved
Comment 5 dfilter freebsd_committer 2012-03-15 06:15:47 UTC
dinoex      2012-03-15 06:15:33 UTC

  FreeBSD ports repository

  Modified files:
    security/openssl     Makefile distinfo 
  Log:
  - drop DTLS bugfixes, now included upstream
  
  - drop SCTP, will be in 1.0.1
  
  - Security update to 1.0.0h
  Security: http://www.openssl.org/news/secadv_20120312.txt
  Security: CVE-2012-0884
  
  PR:             166064
  Approved by:    portmgr (miwi)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.184     +3 -26     ports/security/openssl/Makefile
  1.70      +2 -8      ports/security/openssl/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Dirk Meyer freebsd_committer 2012-03-15 06:32:50 UTC
State Changed
From-To: open->closed

committed, thanks.